
Katello - Bug #5655

hammer lifecycle environments "paths" command broken

05/09/2014 07:46 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1125403 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/457
Description

$ hammer -v lifecycle-environment paths --organization-id=ACME_Corporation

Errors out with

NoMethodError (undefined method `each' for nil:NilClass):

/home/paji/sparta/projects/hammer-cli-katello/lib/hammer_cli_katello/lifecycle_environment.rb:26:in `extend_data'

/home/paji/sparta/projects/hammer-cli-foreman/lib/hammer_cli_foreman/commands.rb:136:in `block in send_request'

/home/paji/sparta/projects/hammer-cli-foreman/lib/hammer_cli_foreman/commands.rb:136:in `map!'

Associated revisions

Revision 00f7f683 - 08/15/2014 09:58 AM - Adam Price 

refs #5655 - accounting for correct JSON response metadata

Revision e00bc8d8 - 08/18/2014 02:33 PM - Adam Price

fixes #5655 - sending correct json for ktenvironments paths

Revision 9c79ec55 - 08/18/2014 02:33 PM - Adam Price 

fixes #5655 - sending correct json for ktenvironments paths

Revision f69dcc18 - 08/18/2014 03:57 PM - Adam Price

Merge pull request #4579 from komidore64/rmi5655-hammer-env-paths-broken

fixes #5655 - sending correct json for ktenvironments paths

Revision 507d9a6b - 08/18/2014 03:57 PM - Adam Price 

Merge pull request #221 from komidore64/rmi5655-env-paths-command-broken

refs #5655 - to receive correct paths actions JSON

History

#1 - 06/05/2014 02:18 AM - Eric Helms

- Category set to Hammer

- Target version set to 45

- Difficulty set to trivial

- Triaged changed from No to Yes

#2 - 06/05/2014 02:52 PM - Adam Price

- Assignee changed from Adam Price to Brad Buckingham
#3 - 06/16/2014 02:54 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 07/07/2014 07:44 AM - Eric Helms

- Target version changed from 48 to 49

#5 - 07/28/2014 08:41 AM - Eric Helms

- Target version changed from 49 to 54

#6 - 07/31/2014 02:16 PM - Eric Helms

- Bugzilla link set to 1125403

#7 - 08/13/2014 03:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4579 added

#8 - 08/18/2014 08:31 AM - Eric Helms

- Target version changed from 54 to 55

#9 - 08/18/2014 04:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|e00bc8d8f63e5ed8a5fad410a76251a6dc1118d3.

#10 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
